var e, i;
function t() {
  return i || (i = 1, e = function(r) {
    return !r || typeof r == "string" ? !1 : r instanceof Array || Array.isArray(r) || r.length >= 0 && (r.splice instanceof Function || Object.getOwnPropertyDescriptor(r, r.length - 1) && r.constructor.name !== "String");
  }), e;
}
export {
  t as __require
};
